ZyanArgParseDefinition_(3)

NAME
ZyanArgParseDefinition_

SYNOPSIS

#include <ArgParse.h>

  Public Attributes

const char * name
ZyanBool boolean
ZyanBool required

Detailed Description

Definition of a single argument.

Member Data Documentation

  ZyanBool ZyanArgParseDefinition_::boolean
Whether the argument is boolean or expects a value.

  const char* ZyanArgParseDefinition_::name
The argument name, e.g. --help.

Must start with either one or two dashes. Single dash arguments must consist of a single character, (e.g. -n), double-dash arguments can be of arbitrary length.

  ZyanBool ZyanArgParseDefinition_::required
Whether this argument is required (error if missing).

Author

Generated automatically by Doxygen for Zycore from the source code.